# foxBarcodeScannerClient

Клиент для работы со сканером штрих-кода через последовательный порт. Клиент получает данные со сканера и отправляет в очередь RabbitMQ, указанную при регистрации. Регистрация происходит через считывания специального штрих-кода.

## Параметры конфигурации
* SCANNER_PORT - /dev/ttyACM0
* RABBITMQ_HOST
* RABBITMQ_USER
* RABBITMQ_PASSWORD
* RABBITMQ_USE_SSL

## docker-compose sample
```
version: "2"

services:
 barcode-scanner:
   image: mxfox.ru/mxfox/barcode-scanner-client:latest
   devices:
    - "/dev/ttyACM0:/dev/ttyACM0"
   environment:
    - 'SCANNER_PORT=/dev/ttyACM0' 
    - 'RABBITMQ_HOST=rabbitmq' 
    - 'RABBITMQ_USER=user' 
    - 'RABBITMQ_PASSWORD=pass' 
    - 'RABBITMQ_USE_SSL=false' 
    - 'RABBITMQ_VIRTUAL_HOST=/'
```